gnutls_srp_base64_encode_alloc(3)

NAME
gnutls_srp_base64_encode_alloc - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srp_base64_encode_alloc(const gnutls_datum_t * data, gnutls_datum_t * result);

ARGUMENTS

const gnutls_datum_t * data
    contains the raw data

gnutls_datum_t * result
    will hold the newly allocated encoded data

DESCRIPTION
This function will convert the given data to printable data, using the base64 encoding. This is the encoding used in SRP password files. This function will allocate the required memory to hold the encoded data. You should use gnutls_free() to free the returned data. Warning! This base64 encoding is not the "standard" encoding, so do not use it for non-SRP purposes.

RETURNS
0 on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/